> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/72.-zapytanie-pobierz-dane-siatkowe-jako-geojson-lub-geotiff.md).

# 72. Zapytanie: pobierz dane siatkowe jako GeoJSON lub GeoTIFF

Zapytanie pobierające dane zgriddowane z zestawów danych takich jak "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" jako `GEOJSON` z punktami lub `GEOTIFF`.&#x20;

{% hint style="danger" %}
Zalecane pobieranie tylko jednego zestawu danych za pomocą `sourceDataUrl` na żądanie.&#x20;
{% endhint %}

`GEOTIFF` i `GEOJSON` są dostępne jako `formaty`.

{% hint style="danger" %}
`sourceDataUrl` link jest dostępny tylko przez **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nazwa
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nazwa
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/72.-zapytanie-pobierz-dane-siatkowe-jako-geojson-lub-geotiff.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
